CHMOD(1)

NAVN
chmod - ændr filtilstandsbit

SYNOPSIS
chmod [TILVALG]... TILSTAND[,TILSTAND]... FIL...
chmod [TILVALG]... OKTAL_TILSTAND FIL...
chmod [TILVALG]... --reference=RFIL FIL...

BESKRIVELSE
Denne manualside dokumenterer Gnu versionen af chmod. chmod ændrer filstandsbit på de givne filer i henhold til tilstand, der kan være en enten symbolsk repræsentation af ønskede ændringer eller et oktalt tal repræsenterende bitmønsteret for den nye tilstandsbit.

Formatet for en symbolsk tilstand er [ugoa...][[-+=][perms...]...], hvor perms er enten nul eller flere bogstaver fra sættet rwxXst, eller et enkelt bogstav fra sættet ugo. Flere symbolske tilstande kan angives, adskilt af kommaer.

En kombination af bogstaverne ugoa afgører hvilke brugeres rettigher der vil blive ændret: Brugeren der ejer filen (u), andre brugere i filens gruppe (g), andre brugere ikke i filens gruppe (o) eller alle brugere (a). Hvis ingen af disse muligheder er givet, virker kommandoen som hvis den var givet et a, men bits sat i umask'en er ikke påvirket.

Operatøren + får de valgte filtilstandsbit til at blive lagt sammen med den nuværende filtilstandsbit for hver fil; - får dem til at blive fjernet; og = får dem til at blive tilføjet og medfører, at ikke nævnte bit fjernes med undtagelse af, at en mappes ikke nævnte set user og gruppe-ID-bit ikke påvirkes.

Bogstaverne rwxXst vælger filstandsbit for de berørte brugere. Læs (r), skriv (w), udfør (eller søg efter mapper) (x), udfør/søg kun hvis filen er en mappe eller allerede har kørselsrettigheder for nogle brugere (X), sæt bruger- eller gruppe-ID ved udførelse (s), begrænset sletningsflag eller klæbende bit (t). I stedet for et eller flere af disse bogstaver kan du angive præcist et af bogstaverne ugo: rettighederne tildelt til brugeren der ejer filen (u), rettighederne tildelt til andre brugere der er medlemmer af filens gruppe (g) og rettighederne tildelt til brugere, der ikke er i de to foregående kategorier (o).

En numerisk tilstand består af mellem et og fire oktale cifre (0-7), fundet ved at summere bit med værdierne 4, 2 og 1. Udeladte cifre er antaget værende foranstillede nuller. Det første ciffer vælger sæt bruger-ID (4), sæt gruppe-ID (2) og begrænset sletning eller klæbende (1) attributter. Det andet ciffer vælger rettigheder for brugeren der ejer filen, læs (4), skriv (2) og udfør (1). Tredje ciffer vælger rettigheder for andre brugere i filens gruppe med de samme værdier; og det fjerde ciffer vælger rettigheder for alle andre brugere med de samme værdier.

chmod ændrer aldrig rettighederne på symbolske lænker. chmod-systemkaldet kan ikke ændre deres rettigheder. Dette er ikke et problem, da rettighederne på symbolske lænker aldrig bliver brugt. I stedet ændrer chmod rettighederne på den fil der lænkes til. I modsætning til dette ignorerer chmod de symbolske lænker, den møder under et rekursivt mappegennemløb.

SETUID OG SETGID BITS
chmod rydder set-group-ID bit for en normal fil hvis filens gruppe-ID ikke matcher brugerens effektive gruppe-ID eller en af brugerens supplementære gruppe-ID'er, med mindre at brugeren har passende privilegier. Yderligere begrænsninger kan medføre at set-user-ID bit og set-group-ID bit for MODE eller RFILE ignoreres. Denne opførsel afhænger af politikken og funktionaliteten for det underliggende chmod-systemkald. Hvis i tvivl, så kontroller den underliggende systemopførsel.

For mapper bevarer chmod set-user-ID bit og set-group-ID bit med mindre du eksplicit angiver andet. Du kan angive eller rydde bit med symbolske tilstande som u+s og g-s. For at rydde disse bit for mapper med en numerisk tilstand kræves et ekstra foranstillet nul som 00755, foranstillet minus som -6000, eller foranstillet lig med som =755.

BEGRÆNSET SLETNINGSFLAG ELLER KLÆBENDE BIT
Det begrænsede sletningsflag eller klæbende bit er en enkel bit, hvis fortolkning afhænger af filtypen. For mapper forhindrer det brugere uden privilegier i at fjerne eller omdøbe en fil i mappen med mindre de ejer filen eller mappen; dette kaldes begrænset sletningsflag for mappen og findes ofte i world-skrivbare mapper som /tmp. For normale filer på nogle gamle systemer så gemmer bit'en programmets tekstbillede på swap-enheden, så det indlæses hurtigere under afvikling; dette kaldes klæbende bit.

TILVALG

Ændr tilstanden for hver FIL til TILSTAND. Med --reference ændres tilstanden for hver FIL til den for RFIL.

-c, --changes
    ligesom verbose men rapporterer kun når der bliver lavet ændringer

-f, --silent, --quiet
    undertrykker de fleste fejlbeskeder

-v, --verbose
    skriver en besked for alle filer den undersøger

--no-preserve-root
    behandl ikke »/« specielt (standard)

--preserve-root
    virk ikke rekursivt på »/«

--reference=RFIL
    use RFILE's mode instead of specifying MODE values. RFILE is always dereferenced if a symbolic link.

-R, --recursive
    ændre filer og kataloger rekursivt

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Hver TILSTAND er på formen "[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+".

FORFATTER
Skrevet af David MacKenzie og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
chmod(2)

Fuld dokumentation <https://www.gnu.org/software/coreutils/chmod>
eller lokalt tilgængelig via: info '(coreutils) chmod invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Kenneth Rohde Christiansen <kenneth@gnu.org>, Peter Makholm <peter@makholm.net>, Byrial Ole Jensen <byrial@vip.cybercity.dk> og Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.